{ nixpkgs ? import <nixpkgs> { }, pythonPkgs ? nixpkgs.pkgs.python39Packages }:

let
  inherit (nixpkgs) pkgs;
  inherit pythonPkgs;

  selfprivacy-graphql-api =
    { buildPythonPackage
    , fetchPypi
    , setuptools
    , portalocker
    , pytz
    , pytest
    , pytest-mock
    , pytest-datadir
    , huey
    , gevent
    , mnemonic
    , pydantic
    , typing-extensions
    , strawberry_graphql
    , psutil
    , fastapi
    , uvicorn
    }:
    pythonPkgs.buildPythonApplication rec {
      pname = "selfprivacy-graphql-api";
      version = "2.0.0";
      src = builtins.fetchGit {
        url = "https://git.selfprivacy.org/SelfPrivacy/selfprivacy-rest-api.git";
        rev = "4f2332f8a08b1a5cb0f6cf60fa299c55dd36c976";
      };
      propagatedBuildInputs = [
        setuptools
        portalocker
        pytz
        pytest
        pytest-mock
        pytest-datadir
        huey
        gevent
        mnemonic
        pydantic
        typing-extensions
        strawberry_graphql
        psutil
        fastapi
        uvicorn
      ];
      meta = {
        description = ''
          SelfPrivacy Server Management API
        '';
      };
      passthru = {
        pythonPath = pythonPkgs.makePythonPath propagatedBuildInputs;
      };
    };
  drv = pythonPkgs.callPackage selfprivacy-graphql-api { };
in
drv
